// Package docs GENERATED BY SWAG; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "Кан Дэ Хан",
            "url": "https://t.me/happyskelet"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/facts": {
            "post": {
                "description": "Создает факты согласно переданным данным в формате JSON",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "Создание фактов",
                "operationId": "create-facts",
                "parameters": [
                    {
                        "description": "Факты",
                        "name": "facts",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/models.Fact"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "Failed to parse request body",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Failed to send message to Kafka",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "models.Fact": {
            "type": "object",
            "properties": {
                "auth_user_id": {
                    "type": "string",
                    "example": "40"
                },
                "comment": {
                    "type": "string",
                    "example": "buffer Last_name"
                },
                "fact_time": {
                    "type": "string",
                    "example": "2024-05-31"
                },
                "indicator_to_mo_fact_id": {
                    "type": "string",
                    "example": "0"
                },
                "indicator_to_mo_id": {
                    "type": "string",
                    "example": "227373"
                },
                "is_plan": {
                    "type": "string",
                    "example": "0"
                },
                "period_end": {
                    "type": "string",
                    "example": "2024-05-31"
                },
                "period_key": {
                    "type": "string",
                    "example": "month"
                },
                "period_start": {
                    "type": "string",
                    "example": "2024-05-01"
                },
                "request_id": {
                    "type": "string"
                },
                "value": {
                    "type": "string",
                    "example": "1"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "localhost:8585",
	BasePath:         "/",
	Schemes:          []string{},
	Title:            "Fact Buffer API",
	Description:      "API для буферизации и сохранения фактов с использованием Kafka.",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
